Bug 168608 - Review Request: emelFM2
Review Request: emelFM2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://emelfm2.org/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-17 18:21 EDT by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 10:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-09-17 18:21:40 EDT
Spec Name or Url:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/emelfm2.spec
SRPM Name or Url:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/emelfm2-0.1.2-1.fc4.src.rpm
Description: emelFM2 is the GTK+2 port of emelFM. emelFM2 is a file manager that implements the popular two-pane design. It features a simple GTK+2 interface, a flexible file typing scheme, and a built-in command line for executing commands without opening an xterm.
Comment 1 Aurelien Bompard 2005-09-25 11:24:36 EDT
- Both patches contain hardcoded paths (/usr/share in patch0 and /usr in
patch1). It has to be %{_datadir} and %{_prefix} respectively. You could for
example use %DATADIR% and %PREFIX% in your patches and do sed substitution in
%prep to set the right path.
- In the specfile, you defined the patches names with %{version} included. It is
going to cause trouble on the next package update. You'd better replace it with
0.1.2.
- In %install, you use %{prefix}. It should be %{_prefix} (with underscore)
- The package sould own %{_libdir}/%{name} and %{_datadir}/pixmaps/%{name}
Comment 2 Christoph Wickert 2005-09-26 18:20:57 EDT
(In reply to comment #1)
> - Both patches contain hardcoded paths (/usr/share in patch0 and /usr in
> patch1). It has to be %{_datadir} and %{_prefix} respectively. You could for
> example use %DATADIR% and %PREFIX% in your patches and do sed substitution in
> %prep to set the right path.
Thanks. Did that with prefix in Makefile.config.
Removed broken-icon path using only sed instead.

> - In the specfile, you defined the patches names with %{version} included. It is
> going to cause trouble on the next package update. You'd better replace it with
> 0.1.2.
fixed

> - In %install, you use %{prefix}. It should be %{_prefix} (with underscore)
fixed

> - The package sould own %{_libdir}/%{name} and %{_datadir}/pixmaps/%{name}
fixed 

New SRPM:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/emelfm2-0.1.2-2.fc4.src.rpm
Updated SPEC:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/emelfm2.spec
Comment 3 Aurelien Bompard 2005-09-27 04:31:50 EDT
Review for release 2.fc4:
* RPM name is OK
* Source emelfm2-0.1.2.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of emelfm2 looks OK
* File list of emelfm2 looks OK
* Works fine
APPROVED
Comment 4 Christoph Wickert 2005-09-28 10:38:11 EDT
Fixed an error on x86_64. New release is -3, has build fine on all plattforms.

Note You need to log in before you can comment on or make changes to this bug.